KCAPI_RNG_GENERATE(3)

NAME
kcapi_rng_generate - generate a random number

SYNOPSIS

ssize_t kcapi_rng_generate(struct kcapi_handle * handle, uint8_t * buffer, size_t len);

ARGUMENTS

handle
    [in] cipher handle

buffer
    [out] filled with the random number

len
    [in] buffer length

DESCRIPTION

return size of random number generated upon success; -EIO - data cannot be obtained

AUTHOR

Stephan Mueller <smueller@chronox.de>
    Author.

COPYRIGHT